USRP Hardware Driver and USRP Manual: uhd::usrp::cal::container Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
uhd::usrp::cal::container Class Referenceabstract

`#include <uhd/cal/container.hpp>`

Inheritance diagram for uhd::usrp::cal::container:

## Public Member Functions
virtual | ~container ()=default
virtual std::string | get_name () const =0
| Return the name of this calibration table.
virtual std::string | get_serial () const =0
| Return the device serial of this calibration table.
virtual uint64_t | get_timestamp () const =0
| Timestamp of acquisition time.
virtual std::vector< uint8_t > | serialize ()=0
| Return a serialized version of this container.
virtual void | deserialize (const std::vector< uint8_t > &data)=0
| Populate this class from the serialized data.

## Static Public Member Functions
template<typename container_type>
static std::shared_ptr< container_type > | make (const std::vector< uint8_t > &data)
| Generic factory for cal data from serialized data.

## Detailed Description

Generic parent class for calibration data

Derive any class that stores cal data which needs to be stored/retrieved from this parent class.

## Constructor & Destructor Documentation

## ◆ ~container()

virtual uhd::usrp::cal::container::~container | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ deserialize()

virtual void uhd::usrp::cal::container::deserialize | ( | const std::vector< uint8_t > & | data | ) |
| pure virtual

Populate this class from the serialized data.

## ◆ get_name()

virtual std::string uhd::usrp::cal::container::get_name | ( |  | ) | const
| pure virtual

Return the name of this calibration table.

## ◆ get_serial()

virtual std::string uhd::usrp::cal::container::get_serial | ( |  | ) | const
| pure virtual

Return the device serial of this calibration table.

## ◆ get_timestamp()

virtual uint64_t uhd::usrp::cal::container::get_timestamp | ( |  | ) | const
| pure virtual

Timestamp of acquisition time.

## ◆ make()

template<typename container_type>

static std::shared_ptr< container_type > uhd::usrp::cal::container::make | ( | const std::vector< uint8_t > & | data | ) |
| inlinestatic

Generic factory for cal data from serialized data.

## ◆ serialize()

virtual std::vector< uint8_t > uhd::usrp::cal::container::serialize | ( |  | ) |
| pure virtual

Return a serialized version of this container.

The documentation for this class was generated from the following file:

- container.hpp